%global _lib_path /usr/lib/raspi-config
%global _bin_path /usr/bin
%global _doc_path /usr/share/doc/raspi-config
%global _share_path /usr/share/raspi-config
%global _service_path /etc/init.d
%global _proxy_path /etc/sudoers.d
%global _etc_path /etc/default
%global commitid 408bde537671de6df2d9b91564e67132f98ffa71
%global debug_package %{nil}

Name:		raspi-config
Version:	20230320
Release:	2
Summary:	Raspberry Pi configuration tool
License:	MIT
URL:		https://github.com/RPi-Distro/raspi-config
Source0:	https://github.com/RPi-Distro/raspi-config/archive/%{commitid}/raspi-config-%{commitid}.tar.gz
Patch0000: openEuler.patch

Requires:	openeuler-lsb parted lua psmisc pigpio
AutoReq: no
AutoProv: yes

Provides:	raspi-config = %{version}-%{release}

ExclusiveArch: aarch64
ExclusiveOS: Linux

%description
A simple configuration tool for common Raspberry Pi administrative tasks.

%prep
%setup -q -n %{name}-%{version} -c
cd %{name}-%{commitid}
%patch0000 -p1

%install
mkdir -p %{buildroot}%{_lib_path}
mkdir -p %{buildroot}%{_bin_path}
mkdir -p %{buildroot}%{_doc_path}
mkdir -p %{buildroot}%{_share_path}
mkdir -p %{buildroot}%{_service_path}
mkdir -p %{buildroot}%{_proxy_path}
mkdir -p %{buildroot}%{_etc_path}

cd %{name}-%{commitid}
install -p -m 644 etc/default/cpu_governor %{buildroot}%{_etc_path}/
install -p -m 755 usr/lib/raspi-config/cmstart.sh %{buildroot}%{_lib_path}/
install -p -m 755 raspi-config %{buildroot}%{_bin_path}/
install -p -m 755 debian/raspi-config.init %{buildroot}%{_service_path}/raspi-config
install -p -m 644 debian/changelog %{buildroot}%{_doc_path}/
install -p -m 644 usr/share/raspi-config/10-blanking.conf %{buildroot}%{_share_path}/
install -p -m 440 etc/sudoers.d/010_proxy %{buildroot}%{_proxy_path}/

cd -

%files
%{_lib_path}
%{_doc_path}
%{_share_path}
%{_bin_path}/*
%{_service_path}/*
%{_proxy_path}/*
%{_etc_path}/*

%changelog
* Thu Apr 25 2024 Yafen Fang <yafen@iscas.ac.cn> - 20230320-2
- update script: raspi-config after upgrading to raspberrypi-eeprom-2024.04.20-1.

* Mon Mar 20 2023 Yafen Fang <yafen@iscas.ac.cn> - 20230320-1
- update to upstream's last commit (408bde537671de6df2d9b91564e67132f98ffa71): do_wifi_ssid_passphrase: set scan_ssid on hidden network in dhcpcd case
- adjust for openEuler
- disable A9 Wayland and AA Network Config
- remove legacy autologin cruft

* Wed Mar 23 2022 Yafen Fang <yafen@iscas.ac.cn> - 20220323-1
- update to upstream's last commit (d3fe4e7058dfaa616aa8a4bb053c31c8d59c0135): Fix incorrect detection of read-only boot partition
- adjust for openEuler
- fix bug for P3 VNC and A4 Network Interface Names
- remove unused init_resize.sh

* Wed Sep 29 2021 Yafen Fang <yafen@iscas.ac.cn> - 20210625-4
- enable select boot order
- enable select bootloader version

* Sat Sep 18 2021 Yafen Fang<yafen@iscas.ac.cn> - 20210625-3
- enable screen resolution
- enable dtparam in func do_spi and do_i2c
- enable vcgencmd in func do_memory_split

* Fri Jun 25 2021 Yafen Fang<yafen@iscas.ac.cn> - 20210625-2
- adjust for openEuler

* Fri Jun 25 2021 Yafen Fang<yafen@iscas.ac.cn> - 20210625-1
- init raspi-config from upstream (commitid: 8607dbc7281cef142b2e0c12839176f189d48a1b)